Summary:	C++ Class Library for Numbers
Summary(pl.UTF-8):	Biblioteka klas C++ dla liczb
Name:		cln
Version:	1.3.3
Release:	1
License:	GPL
Group:		Libraries
Source0:	ftp://ftpthep.physik.uni-mainz.de/pub/gnu/%{name}-%{version}.tar.bz2
# Source0-md5:	9871c401133a12182ad6a3bed89fb3c4
Patch0:		%{name}-info.patch
URL:		http://www.ginac.de/CLN/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.10
BuildRequires:	gmp-devel >= 3.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	tetex-dvips
BuildRequires:	tetex-fonts-latex
BuildRequires:	tetex-format-plain
BuildRequires:	tetex-metafont
BuildRequires:	texconfig
BuildRequires:	texinfo
BuildRequires:	texinfo-texi2dvi
Requires:	gmp >= 3.0
Obsoletes:	libcln2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# won't work with -O0 because of static const initialization loops
%define		debugcflags	-O1 -g

%description
A GPLed collection of C++ math classes and functions, that will bring
efficiency, type safety, algebraic syntax to everyone in a memory and
speed efficient library.

%description -l pl.UTF-8
Objęty licencją GPL zbiór klas i funkcji matematycznych C++ dający
wydajność, bezpieczne typy i składnię algebraiczną.

%package devel
Summary:	Development files for programs using the CLN library
Summary(pl.UTF-8):	Pliki do programowania z użyciem biblioteki CLN
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gmp-devel >= 3.0
Requires:	libstdc++-devel
Obsoletes:	libcln2-devel

%description devel
This package is necessary if you wish to develop software based on the
CLN library.

%description devel -l pl.UTF-8
Ten pakiet jest niezbędny do tworzenia oprogramowania opartego na
bibliotece CLN.

%package static
Summary:	Static CLN library
Summary(pl.UTF-8):	Statyczna biblioteka CLN
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static CLN library.

%description static -l pl.UTF-8
Statyczna biblioteka CLN.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/{Makefile,*.cc} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%attr(755,root,root) %{_bindir}/pi
%attr(755,root,root) %{_libdir}/libcln.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcln.so.6
%{_mandir}/man1/pi.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcln.so
%{_libdir}/libcln.la
%{_includedir}/cln
%{_infodir}/cln.info*
%{_pkgconfigdir}/cln.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libcln.a
%changelog
* Fri Sep 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cln.git;a=log;h=master

* Fri Sep 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 413dd2f
- updated to 1.3.3

* Tue May 10 2011 Jakub Bogusz <qboosh@pld-linux.org> f6d7b03
- updated to 1.3.2

* Sun Nov 14 2010 Jakub Bogusz <qboosh@pld-linux.org> f85808e
- package pi example (installed by default)
- updated ac/am BRs

* Mon Mar 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0dc747c
- release 2

* Tue Dec 15 2009 Szymon Siwek <sls@pld-linux.org> 6aa4c6f
- ver. 1.3.1
- soname changed

* Tue Oct 20 2009 shadzik <shadzik@pld-linux.org> f300a8a
- BR: texconfig
- rel 2

* Sat Aug 30 2008 Jakub Bogusz <qboosh@pld-linux.org> 20ece97
- updated to 1.2.2

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 5a352b6
- updated to 1.2.0 (new soname)
- updated info patch

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> d7c8f1d
- updated for 1.2.0

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 11c0208
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 091de08
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0b66a8d
- converted to UTF-8

* Sun Aug 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 03a3176
- updated to 1.1.13

* Mon Nov 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 73d900f
- updated to 1.1.11

* Fri Oct 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 772cf76
- removed obsolete link patch

* Fri Oct 28 2005 Jakub Bogusz <qboosh@pld-linux.org> db1a44b
- obsolete

* Fri Oct 28 2005 Jakub Bogusz <qboosh@pld-linux.org> b87f061
- updated to 1.1.10 (note: SONAME has changed)

* Mon May 30 2005 zbyniu <zbyniu@pld-linux.org> 5aaa6e6
- BR: tetex-, texinfo-texi2dvi

* Mon Dec 20 2004 Jakub Bogusz <qboosh@pld-linux.org> fb1add0
- BR: texinfo

* Sat Nov 06 2004 Jakub Bogusz <qboosh@pld-linux.org> 06f2b5b
- updated to 1.1.9

